Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.decoder.xbm
Class XBMDecoder

    com.sun.jimi.core.decoder.xbm.XBMDecoder

public class XBMDecoder

Decoder for XPM X11 bitmaps.

Field Summary
`protected java.io.InputStream` | `input_`
`protected AdaptiveRasterImage` | `jimiImage_` JimiImage being written to.
`protected XbmParser` | `parser_` XPM data parser.
`protected byte[]` | `pixels_`
`protected int` | `state_` State of decoder.

Constructor Summary
`XBMDecoder()`

Method Summary
`boolean` | `driveDecoder()` Decode the image.
`void` | `freeDecoder()`
`AdaptiveRasterImage` | `getJimiImage()`
`int` | `getState()`
`void` | `initDecoder(java.io.InputStream in, AdaptiveRasterImage ji)` Initializes the decoder without doing any parsing.

Field Detail

### parser_

    protected XbmParser parser_

  XPM data parser.

### jimiImage_

    protected AdaptiveRasterImage jimiImage_

  JimiImage being written to.

### state_

    protected int state_

  State of decoder.

### input_

    protected java.io.InputStream input_

### pixels_

    protected byte[] pixels_

Constructor Detail

### XBMDecoder

    public XBMDecoder()

Method Detail

### initDecoder

    public void initDecoder(java.io.InputStream in,
                            AdaptiveRasterImage ji)

  Initializes the decoder without doing any parsing.
  Parameters:
    `in` - The input stream to read XPM data from.
    `ji` - The JimiImage to write information to.

### driveDecoder

    public boolean driveDecoder()
                         throws JimiException

  Decode the image.
  Returns:
    False if there image loading has come to an end.

### getState

    public int getState()

### freeDecoder

    public void freeDecoder()

### getJimiImage

    public AdaptiveRasterImage getJimiImage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD